### Method

# Gtk TreeModelFilter set_modify_func

#### Declaration [src]

    void
    gtk_tree_model_filter_set_modify_func (
      GtkTreeModelFilter* filter,
      int n_columns,
      GType* types,
      GtkTreeModelFilterModifyFunc func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

With the `n_columns` and `types` parameters, you give an array of column types for this model (which will be exposed to the parent model/view). The `func`, `data` and `destroy` parameters are for specifying the modify function. The modify function will get called for each data access, the goal of the modify function is to return the data which should be displayed at the location specified using the parameters of the modify function.

Note that gtk_tree_model_filter_set_modify_func() can only be called once for a given filter model.

#### Parameters

`n_columns` | `int`
| The number of columns in the filter model.
`types` | An array of `GType`
| The `GType`s of the columns.
| The length of the array is specified in the `n_columns` argument.
| The data is owned by the caller of the function.
`func` | `GtkTreeModelFilterModifyFunc`
| A `GtkTreeModelFilterModifyFunc`.
`data` | `gpointer`
| User data to pass to the modify function.
`destroy` | `GDestroyNotify`
| Destroy notifier of `data`.